at.chipkarte.client.elgaad.soap

## Class AntikoerperBestimmungBefundgruppe

- Object
- - at.chipkarte.client.elgaad.soap.AntikoerperBestimmungBefundgruppe

-     public class AntikoerperBestimmungBefundgruppe
      extends Object

  Enthält die zu eine Befundgruppe (Impfung) gehörigen Untersuchungen für die Antikörperbestimmung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntikoerperBestimmungBefundgruppe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEndezeitpunkt()` Endezeitpunkt der Tests Angabe: Kann Format: 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
    `Code` | `getImpfung()` Impfung (Impfstoff, auf den sich die Antikörper-Bestimmung bezieht).
    `String` | `getStartzeitpunkt()` Startzeitpunkt der Tests.
    `AntikoerperBestimmungUntersuchung[]` | `getUntersuchungen()` Liste von Untersuchungen.
    `void` | `setEndezeitpunkt(String endezeitpunkt)`
    `void` | `setImpfung(Code impfung)`
    `void` | `setStartzeitpunkt(String startzeitpunkt)`
    `void` | `setUntersuchungen(AntikoerperBestimmungUntersuchung[] untersuchungen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntikoerperBestimmungBefundgruppe

          public AntikoerperBestimmungBefundgruppe()

  - ### Method Detail

    - #### getImpfung

          public Code getImpfung()

      Impfung (Impfstoff, auf den sich die Antikörper-Bestimmung bezieht). Siehe `Code`.
      Angabe: Muss.
      mögliche Werte: siehe Terminologieserver ValueSets eImpf_Antikoerperbestimmung_VS Level 0
      Returns:
        Impfung

    - #### setImpfung

          public void setImpfung(Code impfung)

    - #### getStartzeitpunkt

          public String getStartzeitpunkt()

      Startzeitpunkt der Tests.
      Angabe: Kann
      Format: 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Erstellzeitpunkt Ab.

    - #### setStartzeitpunkt

          public void setStartzeitpunkt(String startzeitpunkt)

    - #### getEndezeitpunkt

          public String getEndezeitpunkt()

      Endezeitpunkt der Tests
      Angabe: Kann
      Format: 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Erstellzeitpunkt Ab.

    - #### setEndezeitpunkt

          public void setEndezeitpunkt(String endezeitpunkt)

    - #### getUntersuchungen

          public AntikoerperBestimmungUntersuchung[] getUntersuchungen()

      Liste von Untersuchungen. Siehe `AntikoerperBestimmungUntersuchung`.
      Angabe: Kann.
      Returns:
        Liste von Untersuchungen

    - #### setUntersuchungen

          public void setUntersuchungen(AntikoerperBestimmungUntersuchung[] untersuchungen)